import { Status, ITreeItem } from '@git-stack/client-core';
import { TreeItemDragProps } from '../TreeModel';
export interface ITreeItemOwnProps {
    item: ITreeItem;
    group: string;
    itemIndex: number;
    styles: any;
}
export interface ITreeItemOwnStateProps {
    headContent: any;
}
export interface ITreeItemStateProps {
    fullPath: string;
    selectedPath: string;
    git: any;
}
export interface ITreeItemDispatchProps {
    gitAction: (command: string, item?: ITreeItem) => void;
    setSelectedPath: (path: string) => void;
    openFile: (resource: string, name: string, oldValue?: string, deleted?: boolean, addIgnore?: string) => void;
}
export interface ITreeItemState {
    id: string;
    status: Status;
    statusChar: string;
}
export declare type ITreeProps = ITreeItemOwnProps & ITreeItemDispatchProps & ITreeItemStateProps & ITreeItemOwnStateProps;
export declare type ITreeItemProps = ITreeProps & TreeItemDragProps;
declare const _default: any;
export default _default;
