import { ITreeGroup } from '@git-stack/client-core';
import { Store } from '@git-stack/client-redux';
export interface IGitCheckoutComponentState {
    gitLoad: boolean;
}
export interface IGitCheckoutComponentOwnProps {
    styles: any;
}
export interface IGitCheckoutComponentGraphglProps {
    statusInfo: any[];
    gitStatus: ITreeGroup[];
    branch: string;
    refs: any;
    authData: any;
    headContent: any;
    repos: any[];
    stashes: any;
    stashesRefetch: () => void;
    refetch: () => void;
    refsRefetch: () => void;
    openMutate: (args: any) => any;
    checkoutMutate: (args: any) => any;
    syncMutate: (args: any) => any;
    saveUserMutate: (args: any) => any;
    pullMutate: (args: any) => any;
    pushMutate: (args: any) => any;
    commitMutate: (args: any) => any;
    commitAllMutate: (args: any) => any;
    branchMutate: (args: any) => any;
    tagMutate: (args: any) => any;
    deleteBranchMutate: (args: any) => any;
    unstageMutate: (args: any) => any;
    cleanMutate: (args: any) => any;
    addMutate: (args: any) => any;
    mergeMutate: (args: any) => any;
    stashMutate: (args: any) => any;
    unstashMutate: (args: any) => any;
    undoLastCommitMutate: () => any;
    setGlobalDataMutate: (args: any) => any;
    closeMutate: (args: any) => any;
    cloneMutate: (args: any) => any;
    subscribeToMore: (args: any) => any;
    git?: any;
}
export interface IGitCheckoutComponentStateProps {
    git: Store.Git;
    rootpath: string;
    selectedModal: string;
    gitAuth: Store.Auth;
    inputSelected: any;
    filesEdit: any;
    tree: any;
}
export interface IGitCheckoutComponentDispatchProps {
    gitAction: (command: string, args?: any) => void;
    confirmPath: (repos: [any]) => void;
    setError: (error: string, type: string) => void;
    setCurrentBranch: (name: string) => void;
    showSelectModal: (data: [string], dataType: string, placeholder?: string) => void;
    setRefs: (refs: any) => void;
    setTreeData: (data: ITreeGroup[]) => void;
    resetGit: () => void;
    setTabInfo: (tabName: string, message: string) => void;
    checkAuth: () => void;
    setAuth: () => void;
    authCleanGit: () => void;
    saveUser: (id: string) => void;
    showInputModal: (openData: {
        description: string;
        dataType: string;
        placeholder?: string;
        inputType?: string;
        defaultValue?: string;
        beforeInput?: string;
    }) => void;
    clearInputValue: () => void;
    loginSetGit: (login: string) => void;
    passSetGit: (password: string) => void;
    commitSetGit: (commit: string) => void;
    setCloneData: (key: string, value: string) => void;
    setBranch: (name: string) => void;
    setTag: (key: string, value: string) => void;
    setStashMessage: (mesage?: string) => void;
    cleanBranch: () => void;
    openFile: (fileData: any) => void;
    updateRepos: (repositories: any[]) => void;
    commitCleanGit: () => void;
    cleanTag: () => void;
    deleteRef: (name: string) => void;
    setSelectedPath: (path: string) => void;
    setStashes: (stashes: any) => void;
    deleteStashMessage: () => void;
    getRefs: () => void;
    changePath: (newPath: string, oldPath: string) => void;
    cleanCloneData: () => void;
}
export declare type IGitCheckoutContainerProps = IGitCheckoutComponentStateProps & IGitCheckoutComponentDispatchProps & IGitCheckoutComponentOwnProps & IGitCheckoutComponentGraphglProps;
